/**
 * DevExtreme (esm/__internal/scheduler/__migration/components/base/group_panel_horizontal_row.js)
 * Version: 23.2.5 (build 24096-0113)
 * Build date: Fri Apr 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    BaseInfernoComponent
} from "@devextreme/runtime/inferno";
import {
    getTemplate
} from "../../../../core/component_wrappers/utils/index";
import {
    createComponentVNode,
    createVNode
} from "inferno";
import {
    GroupPanelHorizontalCell
} from "./group_panel_horizontal_cell";
import {
    GroupPanelRowDefaultProps
} from "./group_panel_props";
export class GroupPanelHorizontalRow extends BaseInfernoComponent {
    render() {
        var {
            cellTemplate: cellTemplate,
            className: className,
            groupItems: groupItems
        } = this.props;
        var cellTemplateComponent = getTemplate(cellTemplate);
        return createVNode(1, "tr", "dx-scheduler-group-row ".concat(className), groupItems.map((_ref2, index) => {
            var {
                colSpan: colSpan,
                color: color,
                data: data,
                id: id,
                isFirstGroupCell: isFirstGroupCell,
                isLastGroupCell: isLastGroupCell,
                key: key,
                text: text
            } = _ref2;
            return createComponentVNode(2, GroupPanelHorizontalCell, {
                text: text,
                id: id,
                data: data,
                index: index,
                color: color,
                colSpan: colSpan,
                isFirstGroupCell: !!isFirstGroupCell,
                isLastGroupCell: !!isLastGroupCell,
                cellTemplate: cellTemplateComponent
            }, key)
        }), 0)
    }
}
GroupPanelHorizontalRow.defaultProps = GroupPanelRowDefaultProps;
