/**
 * DevExtreme (esm/__internal/scheduler/__migration/components/base/group_panel_vertical_row.js)
 * Version: 23.2.5 (build 24096-0113)
 * Build date: Fri Apr 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    BaseInfernoComponent
} from "@devextreme/runtime/inferno";
import {
    getTemplate
} from "../../../../core/component_wrappers/utils/index";
import {
    createComponentVNode,
    createVNode
} from "inferno";
import {
    GroupPanelRowDefaultProps
} from "./group_panel_props";
import {
    GroupPanelVerticalCell
} from "./group_panel_vertical_cell";
export class GroupPanelVerticalRow extends BaseInfernoComponent {
    render() {
        var {
            className: className,
            groupItems: groupItems,
            cellTemplate: cellTemplate
        } = this.props;
        var cellTemplateComponent = getTemplate(cellTemplate);
        return createVNode(1, "div", "dx-scheduler-group-row ".concat(className), groupItems.map((item, index) => {
            var {
                color: color,
                data: data,
                id: id,
                key: key,
                text: text
            } = item;
            return createComponentVNode(2, GroupPanelVerticalCell, {
                text: text,
                id: id,
                data: data,
                index: index,
                color: color,
                cellTemplate: cellTemplateComponent
            }, key)
        }), 0)
    }
}
GroupPanelVerticalRow.defaultProps = GroupPanelRowDefaultProps;
