/**
 * DevExtreme (esm/__internal/scheduler/__migration/components/base/header_cell.js)
 * Version: 23.2.5 (build 24096-0113)
 * Build date: Fri Apr 05 2024
 *
 * Copyright (c) 2012 - 2024 Developer Express Inc. ALL RIGHTS RESERVED
 * Read about DevExtreme licensing here: https://js.devexpress.com/Licensing/
 */
import {
    BaseInfernoComponent,
    normalizeStyles
} from "@devextreme/runtime/inferno";
import {
    createVNode
} from "inferno";
import {
    CellDefaultProps
} from "./ordinary_cell";
export class HeaderCell extends BaseInfernoComponent {
    render() {
        var {
            children: children,
            className: className,
            colSpan: colSpan,
            styles: styles
        } = this.props;
        return createVNode(1, "th", className, children, 0, {
            style: normalizeStyles(styles),
            colSpan: colSpan
        })
    }
}
HeaderCell.defaultProps = CellDefaultProps;
